Subject: Why use the mouse in Emacs?

From: Kevin Vigouroux <[email-masked]>
Date: Mon, 25 May 2020 19:37:55 +0200

I briefly followed the discussions about the graphical interface on the
developer mailing list. One issue that comes to mind is the role of
the graphical user interface. Comparing Emacs with other GUIs, one
perceives that the Emacs graphical interface is half broken. This would
explain why many users would prefer using the keyboard or why some users
would perceive Emacs as an outdated text editor.

You can use the mouse to click on certain elements but it is difficult
to navigate with the mouse or to organize its work because the interface
is not designed this way. The menu, for example, does not open graphical
windows but usual Emacs windows (minibuffer, echo area, Customize...).

Finally, I think it is necessary to clarify that we use Emacs mainly
with the keyboard because the interface is designed that way otherwise
the user will have false expectations.

Best regards,
Kevin Vigouroux